\documentclass{scrartcl}
\usepackage[top=1in, bottom=1.25in, left=1.25in, right=1.25in]{geometry}
\usepackage{array}
\usepackage[utf8x]{inputenc}
\usepackage[ngerman]{babel}
\usepackage{algorithm2e}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{lmodern}
\usepackage{stmaryrd}
%\usepackage{kpfonts}
\usepackage{tikz}
\usepackage{mathtools}
\usepackage{url}
\usepackage{microtype}
\DeclarePairedDelimiter{\ceil}{\lceil}{\rceil}	%Runden
\usetikzlibrary{trees}	%Bäume
\usetikzlibrary{positioning,calc,shapes,chains,arrows}

\setlength{\parindent}{0em}
\newcommand{\vcenteredinclude}[1]{\begingroup
\setbox0=\hbox{#1}%
\parbox{\wd0}{\box0}\endgroup}
\newcolumntype{P}[1]{>{\raggedright\arraybackslash}p{#1}}

\tikzset{
itria/.style={
  draw,dashed,shape border uses incircle,
  isosceles triangle,shape border rotate=90,yshift=-1.5cm}}

\pagenumbering{gobble}
\def\kuller{\bigcirc}
\newcommand{\shouldequal}{\overset{!}{=}}

\pagestyle{plain}

\begin{document}
\begin{center}$ $
{\fontsize{24}{10} \selectfont
\textbf{Artificial Life}$ $\\
$ $\\
\underline{Sheet 5}
}\\
\vspace{2em}
\begin{minipage}[t]{0.49\textwidth}
{\fontsize{15}{20} \raggedright \selectfont
Group \textbf{A}\\
Wed, 8-10h\\
$ $\\
}
\end{minipage}
\begin{minipage}[t]{0.49\textwidth}
{\fontsize{15}{20} \raggedleft \selectfont 
Tobias Kremeyer\\
}\end{minipage}
\end{center}
%\vspace{1em}
%{\fontsize{15}{20} \selectfont \setlength\extrarowheight{10pt}
%\begin{tabular}{|c||c|c||c|c||c|c||c|c||c|c|}
%\hline
%\textbf{Punkte:} & A1 & \hspace{1.7em} & A2 & \hspace{1.7em} & A3 & \hspace{1.7em} & A4 & \hspace{1.7em} & $\Sigma$ & \hspace{2.4em} \\
%\hline
%\end{tabular}}

\section*{A33) Doubling a population}
The population in year $n+1$ can be expressed as $P(n+1) = 1.017 \cdot P(n)$.\\
Let $P(0)$ be the population for a fixed year $0$. Then the recursive formula can be solved as: $$P(n) = 1.017 \cdot P(n-1) = \dots = 1.017^n \cdot P(0)$$.
The year $d$ when the population has doubled can be calculated as:
\begin{eqnarray*}
P(d) = 1.017^d \cdot P(0) =& 2P(0)\\
1.017^d =& 2\\
d =& log_{1.017}(2) \approx 41.1\\
\end{eqnarray*}

Because we consider only whole years, after 42 years the population has doubled.

For an arbitrary netto growth $g$, the number of years $d_g$ necessary to double the population can be calculated as (argumentation as above): 
$$d_g = \ceil{log_g(2)}$$

\section*{A34) Rise of the Fibonacci sequence}
\textbf{Claim:} The Fibonacci sequence $F_0 = 1, F_1 = 1, F_{n+2} = F_{n+1} + F_n$ is not rising faster than the exponential function. 

\textbf{Proof:} From the lecture, we know that $\lim_{n \rightarrow \infty} \frac{F_{n+1}}{F_n} = \rho \approx 1.61 < 1.7$. Therefore, for large $n$, we can approximate $F$ by $F_{n+1} \approx \rho \cdot F_n < 1.7 \cdot F_n = 1.7^{n+1} \cdot F_0 = 1.7^{n+1} < e^{n+1}$. Therefore, the fibonacci sequence is rising slower than the exponential function for large $n$.
\begin{flushright}
$\kuller$
\end{flushright}

\section*{A35) A cellular automaton}

With a simple python script we can simulate the behaviour of the given CA:

\begin{verbatim}
def cmp_lists(list1, list2):
    if len(list1) != len(list2): return False
    for i, e in enumerate(list1):
        if e != list2[i]: return False
    return True

cells = [0] * 101
cells[0] = 42000
cells[100] = 42

done = False
iteration = 0

while not done:
    iteration+=1
    new_cells = [0] * 101
    new_cells[0] = 42000
    new_cells[100] = 42
    for i in range(1,100):
        new_cells[i] = int((1.0/3) * (cells[i-1] + cells[i] + cells[i+1]))
    if cmp_lists(cells, new_cells) is True:
        done = True
    cells = new_cells
    print("({}) ".format(iteration), end='', flush=True)
    for cell in cells:
        print("{} ".format(cell), end='', flush=True)
    print()
\end{verbatim}

From the output you can see that the cells begin to increase from both sides. At the right side, in iteration 16 the seven right-most cells converge to a stable state (0, 2, 6, 11, 20, 30, 42). Meanwhile, the cells beginning from the left-most cell continue increasing and in iteration 1420 they hit the right-most cells and interact with them. This leads to further increases that are propagated through the CA to the left and the right borders and back. In iteration 9525 the whole CA reaches a stable configuration; the average over each cell's neighbourhood is the value of the cell itself.

This corresponds to Wolfram Class I (Homogenous).

\section*{A36) Golden Spiral}
A golden spiral is a spiral derived by the golden ratio that is yielded by the fibonacci sequence. Beginning from the center with a given initial radius, the radius is multiplied by $\varphi$ for every quarter turn. Therefore, the radius has exponential growth. Also, the minimal squares that each cover a quarter turn do not overlap each other. The ratio of the side length of a square to the next larger square is the golden ratio as well.

\end{document}